Package twisted :: Package cred :: Module portal :: Class IRealm

[frames | no frames]

## Class IRealm

    Interface --+
                |
               IRealm

Method Summary
| ``requestAvatar`(self, avatarId, mind, *interfaces)` Return avatar implementing one of the given interfaces.

Method Details

### requestAvatar(self, avatarId, mind, *interfaces)

Return avatar implementing one of the given interfaces.

Return a deferred which will fire a tuple of (interface, avatarAspect, logout), or the tuple itself. The interface will be one of the interfaces passed in the 'interfaces' argument. The 'avatarAspect' will implement that interface. The 'logout' object is a callable which will detach the mind from the avatar.

Generated by Epydoc 2.0 on Sat May 15 20:08:00 2004 | http://epydoc.sf.net